ur_rna.RNAstructure.backend

## Enum DotBracketFormat

- java.lang.Object
- - java.lang.Enum<DotBracketFormat>
  - - ur_rna.RNAstructure.backend.DotBracketFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DotBracketFormat>

      public enum DotBracketFormat
      extends java.lang.Enum<DotBracketFormat>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `DotBracketFormat.SwigNext`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DBN_FMT_MULTI_TITLE`
    `DBN_FMT_MULTI_TITLE_AND_SEQ`
    `DBN_FMT_SIDE_TITLES`
    `DBN_FMT_SINGLE_TITLE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `swigValue`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DotBracketFormat` | `swigToEnum(int swigValue)`
    `int` | `swigValue()`
    `static DotBracketFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DotBracketFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DBN_FMT_MULTI_TITLE

          public static final DotBracketFormat DBN_FMT_MULTI_TITLE

    - #### DBN_FMT_MULTI_TITLE_AND_SEQ

          public static final DotBracketFormat DBN_FMT_MULTI_TITLE_AND_SEQ

    - #### DBN_FMT_SIDE_TITLES

          public static final DotBracketFormat DBN_FMT_SIDE_TITLES

    - #### DBN_FMT_SINGLE_TITLE

          public static final DotBracketFormat DBN_FMT_SINGLE_TITLE

  - ### Field Detail

    - #### swigValue

          private final int swigValue

  - ### Method Detail

    - #### swigToEnum

          public static DotBracketFormat swigToEnum(int swigValue)

    - #### swigValue

          public final int swigValue()

    - #### valueOf

          public static DotBracketFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static DotBracketFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DotBracketFormat c : DotBracketFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared